Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001706 [Piwigo] tags major sometimes 2010.05.29 15:04 2011.05.31 13:49
Reporter Bozz974 View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform PC
Status closed   OS Windows
Projection none   OS Version XP
ETA none Fixed in Version 2.2.2 Product Version 2.1.1
  Target Version 2.2.2 Product Build
Summary 0001706: Tags auto-completion is not fast enough : leads to wrong tags entered
Description Often, When I'm typing the keyboard to enter some tags to a picture, the auto-completion is working. But it seems a bit to slow, because when I press down the enter key, I sometimes see that half of the word I wrote is validated!

Other times, the last letter is not taken into account. For example:
I write "Fleur" in the tag input. The combo list under contains 2 items:
Fleu (highlighted), and
Fleur (under)
Unfortunatelly, even I correctly entered "Fleur" in the input, the tag "Fleu" is validated !! NOK
Steps To Reproduce Just add some tags to some pictures.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004505)
Poupou (reporter)
2010.11.19 16:01
edited on: 2010.11.29 11:54

With more than 3000 tags defined, tags auto-completion is too slow and almost not usable.

You can resolve this bug by adding:
"maxshownitems: 10" at line 26 of file admin/themes/default/template/element_set_unit.tpl
"maxshownitems: 10" at line 21 of file admin/themes/default/template/element_set_global.tpl

This solution does not interfere with resolved bug 1721. You still have the possibility to attach up to 100 tags by picture

(0005164)
plg (manager)
2011.05.31 13:49

Considering the replacement of FCBKComplete by TokenInput and that P@t has written the list of tags directly into the page source code, this bug should be fixed.

- Issue History
Date Modified Username Field Change
2010.05.29 15:04 Bozz974 New Issue
2010.05.29 15:04 Bozz974 browser => any
2010.05.29 15:04 Bozz974 Web server => Apache 1.3.x
2010.11.19 16:01 Poupou Note Added: 0004505
2010.11.29 11:54 Poupou Note Edited: 0004505
2011.03.08 09:13 plg Status new => assigned
2011.03.08 09:13 plg Assigned To => cljosse
2011.03.17 14:47 plg Target Version => 2.1.7
2011.05.31 13:49 plg Note Added: 0005164
2011.05.31 13:49 plg Assigned To cljosse => Pat
2011.05.31 13:49 plg Status assigned => closed
2011.05.31 13:49 plg Resolution open => fixed
2011.05.31 13:49 plg Fixed in Version => 2.2.2
2011.05.31 13:49 plg Target Version 2.1.7 => 2.2.2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker